const fs = require('fs')
const path = require('path')
var Router = require('koa-router')

module.exports = app => {

    let filepath = path.join(app.$$.CONFIG_DIR, 'policy.js')

    if (!fs.existsSync(filepath)) {
        return
    }

    var router = new Router()

    let cfg = require(filepath)

    for (let k in cfg) {
        let files = cfg[k] || []
        files.map(file => path.join(app.$$.SOURCE_DIR, 'policy', file + '.js'))
            .filter(file => fs.existsSync(file)).map(file => {
                router.all(k, require(file))
            })
    }

    app.use(router.routes()).use(router.allowedMethods())
}