const fs = require('fs')
const path = require('path')

module.exports = app => {

    let dir = path.join(app.$$.SOURCE_DIR, 'response')

    if(!fs.existsSync(dir)){
        return
    }

    let files = fs.readdirSync(dir)

    for(let file of files){
        app.use(require(path.join(dir,file)))
    }
}