module.exports = args => {

    let ignores = []

    let ignoreIndex = args.indexOf('--')

    if (ignoreIndex != -1) {
        ignores = args.slice(ignoreIndex + 1)
        args = args.slice(0, ignoreIndex)
    }


    let argv = {}

    for (let i = 0; i < args.length; i++) {
        let arg = args[i]

        if (/^--.+=/.test(arg)) {
            let m = arg.match(/^--([^=]+)=([\s\S]*)$/)
            let key = m[1]
            let value = m[2]
            argv[key] = value
        }else if (/^--.+/.test(arg)) {
            let key = arg.match(/^--(.+)/)[1]
            let next = args[i + 1]
            if (next !== undefined && !/^-/.test(next)) {
                argv[key] = next
                i++
            }
            else {
                argv[key] = true
            }
        }

    }

    argv._ = ignores
    return argv
}