var crypto = require('crypto')


function encryptCookie(str) {

    var cipher = crypto.createCipher('aes256', kk.key || 'kk-cookie')
    var encrypted = cipher.update(str, 'utf8', 'hex') + cipher.final('hex')

    return encrypted
}


function decryptCookie(str) {
    var decipher = crypto.createDecipher('aes256', kk.key || 'kk-cookie')
    var decrypted = decipher.update(str, 'hex', 'utf8') + decipher.final('utf8')
    return decrypted
}


module.exports = async (ctx, next) => {

    ctx.setCookie = (key,str,opts) =>{
        try {
            if(str){
                str = encryptCookie(str)
            }
            ctx.cookies.set(key,str,opts)
        } catch (error) {
            console.error(error)
        }
    }

    ctx.getCookie = (key) =>{
        try {
            let str = ctx.cookies.get(key)
            if(!str){
                return str
            }
            return decryptCookie(str)
        } catch (error) {
            console.error(error)
            return null
        }
       
    }

    await next()
}