const Strategy = require('./strategy')

module.exports = class RegisterStrategy extends Strategy{
    constructor(creator){
        super('register')
        this.creatFunc = creator
    }

    async verify(ctx,options = {}){

        if(!this.creatFunc){
            return Promise.reject('function undefiend!')
        }

        if(options.beforVerify){
            await options.beforVerify(ctx)
        }

        let data = await this.creatFunc(ctx.request.body || {},ctx.request)
        if(data === false){
            return Promise.reject('verify failed')
        }

        if(options.afterVerfify){
            await options.afterVerfify(ctx,data)
        }

        if(ctx.session){
            ctx.session.profile = data
            ctx.session.save()
        }

        return null
    }
}